Skip to main content
GET
/
v1
/
invoices
Get all invoices
curl --request GET \
  --url https://dev.flextell.ai/api/v1/invoices \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "document_number": "<string>",
      "document_class": "<string>",
      "document_type": "<string>",
      "profile_id": "<string>",
      "issue_date": "2023-11-07T05:31:56Z",
      "sent_at": "2023-11-07T05:31:56Z",
      "sender_tax_number": "<string>",
      "receiver_name": "<string>",
      "receiver_tax_number": "<string>",
      "receiver_email": "<string>",
      "exchange_rate": "<string>",
      "amount_tax_exclusive": "<string>",
      "amount_tax_total": "<string>",
      "amount_payable": "<string>",
      "invoice_amount": "<string>",
      "status": "<string>",
      "status_label": "<string>",
      "is_printed": true,
      "is_cancelled": true,
      "is_read": true,
      "is_draft": true,
      "is_archived": true,
      "series_name": "<string>",
      "notes": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "customer": {
        "id": 123,
        "tenant_id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "phone_number": "<string>",
        "email": "<string>",
        "date_of_birth": "2023-11-07T05:31:56Z",
        "country_id": 123,
        "identity_number": "<string>",
        "job": "<string>",
        "address": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "avatar_url": "<string>",
        "avatar_updated_at": "2023-11-07T05:31:56Z",
        "user_id": 123,
        "city_id": 123,
        "district_id": 123,
        "import_source_id": 123,
        "passport_number": "<string>",
        "search_vector": "<string>",
        "is_intake_completed": true,
        "default_channel_id": 123
      },
      "currency": {
        "id": 123,
        "name": "<string>",
        "code": "<string>",
        "symbol": "<string>",
        "is_active": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "locale": "<string>",
        "search_vector": "<string>"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
status
enum<string> | null

Filter by status.

Available options:
draft,
success,
sent,
waiting,
error,
cancelled
is_archived
boolean | null

Filter by archived status.

is_draft
boolean | null

Filter by draft status.

is_cancelled
boolean | null

Filter by cancelled status.

date_from
string<date-time> | null

Filter records from this date (inclusive, YYYY-MM-DD).

date_to
string<date-time> | null

Filter records up to this date (inclusive, YYYY-MM-DD).

sort_by
enum<string> | null

The field to sort by.

Available options:
created_at,
issue_date,
document_number,
amount_payable
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100

Response

Paginated set of InvoiceResource

data
InvoiceResource · object[]
required
meta
object
required